import { QueryClientProvider, QueryClient } from '@tanstack/react-query'
import AppRouters from './AppRouters';

import './App.css';


function App() {
  const queryClient = new QueryClient({
    defaultOptions: {
      queries: {
        refetchOnWindowFocus: false,
        retry: 3,
        // refetchOnMount: false,
        staleTime: 3000
      },
    },
  })
  return (
    <QueryClientProvider client={queryClient}>
      <AppRouters />
    </QueryClientProvider>
  );
}

export default App;
